import 'dart:convert' show json;

import 'product.dart';

T asT<T>(dynamic value) {
  if (value is T) {
    return value;
  }
  return null;
}


class BrandDetail {
  BrandDetail({
    this.brandName,
    this.brandDesc,
    this.fansNum,
    this.totalNum,
    this.brandId,
    this.brandFeatures,
    this.list,
    this.pageId,
    this.brandLogo,
    this.sales,
  });


  factory BrandDetail.fromJson(Map<String, dynamic> jsonRes){ if(jsonRes == null){return null;}
  final List<Product> list = jsonRes['list'] is List ? <Product>[]: null;
  if(list!=null) {
    for (final dynamic item in jsonRes['list']) { if (item != null) { list.add(Product.fromJson(asT<Map<String,dynamic>>(item)));  } }
  }


  return BrandDetail(brandName : asT<String>(jsonRes['brandName']),
    brandDesc : asT<String>(jsonRes['brandDesc']),
    fansNum : asT<int>(jsonRes['fansNum']),
    totalNum : asT<int>(jsonRes['totalNum']),
    brandId : asT<int>(jsonRes['brandId']),
    brandFeatures : asT<String>(jsonRes['brandFeatures']),
    list:list,
    pageId : asT<String>(jsonRes['pageId']),
    brandLogo : asT<String>(jsonRes['brandLogo']),
    sales : asT<int>(jsonRes['sales']),
  );}

  String brandName;
  String brandDesc;
  int fansNum;
  int totalNum;
  int brandId;
  String brandFeatures;
  List<Product> list;
  String pageId;
  String brandLogo;
  int sales;

  Map<String, dynamic> toJson() => <String, dynamic>{
    'brandName': brandName,
    'brandDesc': brandDesc,
    'fansNum': fansNum,
    'totalNum': totalNum,
    'brandId': brandId,
    'brandFeatures': brandFeatures,
    'list': list,
    'pageId': pageId,
    'brandLogo': brandLogo,
    'sales': sales,
  };

  @override
  String  toString() {
    return json.encode(this);
  }
}