// To parse this JSON data, do
//
//     final brandListResult = brandListResultFromJson(jsonString);

import 'dart:convert';

BrandListResult brandListResultFromJson(String str) => BrandListResult.fromJson(json.decode(str));

String brandListResultToJson(BrandListResult data) => json.encode(data.toJson());

class BrandListResult {
  BrandListResult({
    this.lists,
    this.pageSize,
    this.currentPage,
    this.totalCount,
  });

  List<ListElement> lists;
  int pageSize;
  int currentPage;
  int totalCount;

  factory BrandListResult.fromJson(Map<String, dynamic> json) => BrandListResult(
    lists: List<ListElement>.from(json["lists"].map((x) => ListElement.fromJson(x))),
    pageSize: json["pageSize"],
    currentPage: json["currentPage"],
    totalCount: json["totalCount"],
  );

  Map<String, dynamic> toJson() => {
    "lists": List<dynamic>.from(lists.map((x) => x.toJson())),
    "pageSize": pageSize,
    "currentPage": currentPage,
    "totalCount": totalCount,
  };
}

class ListElement {
  ListElement({
    this.brandName,
    this.brandId,
    this.maxDiscountAmount,
    this.goodsList,
    this.brandFeatures,
    this.brandLogo,
    this.sales,
    this.maxDiscount,
  });

  String brandName;
  int brandId;
  double maxDiscountAmount;
  List<GoodsList> goodsList;
  String brandFeatures;
  String brandLogo;
  int sales;
  double maxDiscount;

  factory ListElement.fromJson(Map<String, dynamic> json) => ListElement(
    brandName: json["brandName"],
    brandId: json["brandId"],
    maxDiscountAmount: json["maxDiscountAmount"].toDouble(),
    goodsList: List<GoodsList>.from(json["goodsList"].map((x) => GoodsList.fromJson(x))),
    brandFeatures: json["brandFeatures"],
    brandLogo: json["brandLogo"],
    sales: json["sales"],
    maxDiscount: json["maxDiscount"].toDouble(),
  );

  Map<String, dynamic> toJson() => {
    "brandName": brandName,
    "brandId": brandId,
    "maxDiscountAmount": maxDiscountAmount,
    "goodsList": List<dynamic>.from(goodsList.map((x) => x.toJson())),
    "brandFeatures": brandFeatures,
    "brandLogo": brandLogo,
    "sales": sales,
    "maxDiscount": maxDiscount,
  };
}

class GoodsList {
  GoodsList({
    this.commissionRate,
    this.actualPrice,
    this.goodsId,
    this.discount,
    this.video,
    this.originPrice,
    this.title,
    this.couponId,
    this.monthSales,
    this.couponLink,
    this.marketingMainPic,
    this.couponStartTime,
    this.mainPic,
    this.id,
    this.dTitle,
    this.couponConditions,
    this.dailySales,
    this.couponTotalNum,
    this.commissionType,
    this.freeshipRemoteDistrct,
    this.couponEndTime,
    this.brandId,
    this.couponReceiveNum,
    this.specialText,
    this.couponPrice,
    this.activityType,
    this.cid,
    this.desc,
  });

  double commissionRate;
  double actualPrice;
  String goodsId;
  double discount;
  String video;
  double originPrice;
  String title;
  String couponId;
  int monthSales;
  String couponLink;
  String marketingMainPic;
  DateTime couponStartTime;
  String mainPic;
  int id;
  String dTitle;
  String couponConditions;
  int dailySales;
  int couponTotalNum;
  int commissionType;
  int freeshipRemoteDistrct;
  DateTime couponEndTime;
  String brandId;
  int couponReceiveNum;
  List<String> specialText;
  double couponPrice;
  int activityType;
  int cid;
  String desc;

  factory GoodsList.fromJson(Map<String, dynamic> json) => GoodsList(
    commissionRate: json["commissionRate"].toDouble(),
    actualPrice: json["actualPrice"].toDouble(),
    goodsId: json["goodsId"],
    discount: json["discount"].toDouble(),
    video: json["video"],
    originPrice: json["originPrice"].toDouble(),
    title: json["title"],
    couponId: json["couponId"],
    monthSales: json["monthSales"],
    couponLink: json["couponLink"],
    marketingMainPic: json["marketingMainPic"],
    couponStartTime: DateTime.parse(json["couponStartTime"]),
    mainPic: json["mainPic"],
    id: json["id"],
    dTitle: json["dTitle"],
    couponConditions: json["couponConditions"],
    dailySales: json["dailySales"],
    couponTotalNum: json["couponTotalNum"],
    commissionType: json["commissionType"],
    freeshipRemoteDistrct: json["freeshipRemoteDistrct"],
    couponEndTime: DateTime.parse(json["couponEndTime"]),
    brandId: json["brandId"],
    couponReceiveNum: json["couponReceiveNum"],
    specialText: List<String>.from(json["specialText"].map((x) => x)),
    couponPrice: json["couponPrice"].toDouble(),
    activityType: json["activityType"],
    cid: json["cid"],
    desc: json["desc"],
  );

  Map<String, dynamic> toJson() => {
    "commissionRate": commissionRate,
    "actualPrice": actualPrice,
    "goodsId": goodsId,
    "discount": discount,
    "video": video,
    "originPrice": originPrice,
    "title": title,
    "couponId": couponId,
    "monthSales": monthSales,
    "couponLink": couponLink,
    "marketingMainPic": marketingMainPic,
    "couponStartTime": couponStartTime.toIso8601String(),
    "mainPic": mainPic,
    "id": id,
    "dTitle": dTitle,
    "couponConditions": couponConditions,
    "dailySales": dailySales,
    "couponTotalNum": couponTotalNum,
    "commissionType": commissionType,
    "freeshipRemoteDistrct": freeshipRemoteDistrct,
    "couponEndTime": couponEndTime.toIso8601String(),
    "brandId": brandId,
    "couponReceiveNum": couponReceiveNum,
    "specialText": List<dynamic>.from(specialText.map((x) => x)),
    "couponPrice": couponPrice,
    "activityType": activityType,
    "cid": cid,
    "desc": desc,
  };
}
